package org.kasapbasi.app02_2016.w502;

import android.app.Activity;
import android.content.SharedPreferences;
import android.support.v7.app.ActionBarActivity;
import android.os.Bundle;
import android.view.Menu;
import android.view.MenuItem;
import android.view.View;
import android.widget.EditText;


public class MainActivity extends Activity {

    private EditText et;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);
        SharedPreferences mysettings= getSharedPreferences("MyPrefs",0);
       et=(EditText) findViewById(R.id.editText);
        et.setText(mysettings.getString("theKey",""));




    }

    public void onClick(View view) {

        switch (view.getId()){
            case R.id.btn1: et.setText(et.getText().toString() + 1 ); break;
            case R.id.btn2: et.setText(et.getText().toString() + 2 );break;


        }

    }

    @Override
    protected void onStop() {
        super.onStop();

        SharedPreferences mypref= getSharedPreferences("MyPrefs",0);
        SharedPreferences.Editor ed= mypref.edit();
        ed.putString("theKey",et.getText().toString());
        ed.commit();

    }

    @Override
    public boolean onCreateOptionsMenu(Menu menu) {
        // Inflate the menu; this adds items to the action bar if it is present.
        getMenuInflater().inflate(R.menu.menu_main, menu);
        return true;
    }

    @Override
    public boolean onOptionsItemSelected(MenuItem item) {
        // Handle action bar item clicks here. The action bar will
        // automatically handle clicks on the Home/Up button, so long
        // as you specify a parent activity in AndroidManifest.xml.
        int id = item.getItemId();

        //noinspection SimplifiableIfStatement
        if (id == R.id.action_settings) {
            return true;
        }

        return super.onOptionsItemSelected(item);
    }
}
